#
# spec file for package perl-Test-EOL
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Test-EOL
Version:        2.02
Release:        1.21
%define cpan_name Test-EOL
Summary:        Check the correct line endings in your project
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.88
%{perl_requires}

%description
This module scans your project/distribution for any perl files (scripts,
modules, etc) for the presence of windows line endings.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING README
%license LICENCE

%changelog
* Tue Dec  8 2020 Tina Müller <timueller+perl@suse.de>
- updated to 2.02
  see /usr/share/doc/packages/perl-Test-EOL/Changes
  2.02      2020-12-07 07:08:39Z
  - fix failing test on MSWin32
  2.01      2020-12-06 00:39:19Z
  - better matching on files, directories to be ignored (e.g. no longer
    confuses directory "vincent" for "inc") - closes RT#133862, PR #1
  - handle long @INC lines by passing through $PERL5LIB (Father Chrysostomos,
    RT#123448)
* Thu May  4 2017 coolo@suse.com
- updated to 2.00
  see /usr/share/doc/packages/perl-Test-EOL/Changes
* Tue Aug  4 2015 coolo@suse.com
- updated to 1.6
  see /usr/share/doc/packages/perl-Test-EOL/Changes
  1.6       2015-07-30 21:51:00-07:00 America/Los_Angeles
  - Add 'no_test' import option to allow more composability
    (Arthur Axel fREW Schmidt)
* Tue Jun  4 2013 coolo@suse.com
- updated to 1.5
  - Change to default to searching for trailing whitespace from the
    current directory downwards (as tests are run from the top of a dist
    normally), rather than one directory above the test file, as then
    we don't work as expected if tests are in t/author or similar.
  - Fix to ignore inc/ directory used by Module::Install.
  - Fix bad regex matching directories containing 'svn', not just .svn'
    directories. RT#75968
* Thu Feb 16 2012 coolo@suse.com
- updated to 1.1
  - Fix test fails on < 5.8 perls
  - Fix t/13-latin1.t failures on Win32 and under TB1.5
  - Fix misleading test failure diagnostics when only issue are
    trailing whitespaces
  - No longer blindly assume utf8 on input files (RT#59877)
  - Properly document testing options
  - Fix warnings on very old perls (paul@city-fan.org)
    (Closes: RT#58442)
  - Fix warnings on very old perls (paul@city-fan.org)
    (Closes: RT#58442)
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Thu Aug 25 2011 chris@computersalat.de
- fix build for CentOS, SLE_10
  * ExtUtils::MakeMaker version 6.31
- fix deps
  + Test::More
  + Test::Builder
* Fri Jan 21 2011 coolo@novell.com
- initial package 0.9
  * created by cpanspec 1.78.03
